Linksfield Developer
OverviewCube APIsTopup APIs
Old version
OverviewCube APIsTopup APIs
Old version
  1. Vshop
  • Mall Global Specification
  • Mall Business Flow
  • Mall API Signature Code Examples
  • APP Integration with Stripe SDK — Example Notes
  • Vshop
    • Card Login Verification
      POST
    • Get Available Data Plan Product List
      POST
    • Create User Order
      POST
    • Query Active and Pending Orders
      POST
    • Get Active Auto-Renewal
      POST
    • Cancel Auto-Renewal
      POST
    • Create User Order (Third-Party Payment)
      POST
  • Payment
    • Get Stripe Single Payment Authorization
      POST
    • Get Stripe Subscription Payment Authorization
      POST
    • Create Stripe Subscription / Auto-Renewal
      POST
    • Query Payment Result
      POST
    • Confirm Payment Result
      POST
  • Notification
    • Recharge Success Message Push
      POST
  • Bundle-groups
    • Add SIM Cards to a Specified Group
      POST
    • Remove SIM Cards from a Specified Group
      DELETE
    • Query SIM Card Numbers in a Specified Group
      GET
    • Query All Groups and Basic Data Plan Information
      GET
    • Retrieve Asynchronous Operation Result
      GET
  • Order
    • Query Order Details
      GET
  1. Vshop

Get Available Data Plan Product List

Demo UAT
http://127.0.0.1
Demo UAT
http://127.0.0.1
POST
/singleServicePlanPage

Request

Header Params

Body Params application/json

Example
{
    "area": "欧洲",
    "deviceCode": "89852420180910340793",
    "languageCode": "1",
    "mark": "0",
    "partnerCode": "P000270",
    "sign": "3fdb15332726c77cd792ea2328f98a80",
    "terminal": "0",
    "tradeTime": "1645782486394",
    "tradeType": "singleServicePlanPage",
    "version": "3.0"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1/singleServicePlanPage' \
--header 'Content-Type: application/json' \
--data '{
    "area": "欧洲",
    "deviceCode": "89852420180910340793",
    "languageCode": "1",
    "mark": "0",
    "partnerCode": "P000270",
    "sign": "3fdb15332726c77cd792ea2328f98a80",
    "terminal": "0",
    "tradeTime": "1645782486394",
    "tradeType": "singleServicePlanPage",
    "version": "3.0"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "operateCode": "S",
    "message": "success",
    "data": {
        "partnerCode": "P000270",
        "planList": [
            {
                "packageCode": "DP20190726001274",
                "minOrderPeriod": "1",
                "servicePlanCode": "SP202011301327",
                "servicePlanShowName": "China Experience Service Plan",
                "servicePlanShortDesc": "China Experience Service Plan",
                "servicePlanDetailsDesc": "<p>Coverage: China</p>",
                "languageCode": "1",
                "specAndPriceList": [
                    {
                        "orderPeriod": "1",
                        "specifications": "1",
                        "autoRenewal": "1",
                        "packageType": "2",
                        "currency": "USD",
                        "currencySymbol": "$",
                        "originalPriceUSD": "100",
                        "discountPriceUSD": "1.02",
                        "originalPriceCNY": "80",
                        "discountPriceCNY": "6.01",
                        "saveCNY": "73.99",
                        "saveUSD": "98.98",
                        "specifiedNameLabel": "zidongxufeiaaa"
                    },
                    {
                        "orderPeriod": "1",
                        "specifications": "1",
                        "autoRenewal": "0",
                        "packageType": "2",
                        "currency": "USD",
                        "currencySymbol": "$",
                        "originalPriceUSD": "200",
                        "discountPriceUSD": "19.99",
                        "originalPriceCNY": "100",
                        "discountPriceCNY": "19.99",
                        "saveCNY": "80.01",
                        "saveUSD": "180.01",
                        "specifiedNameLabel": "niubidetaocanaaaaaaa"
                    },
                    {
                        "orderPeriod": "2",
                        "specifications": "2",
                        "autoRenewal": "0",
                        "packageType": "2",
                        "currency": "USD",
                        "currencySymbol": "$",
                        "discountPriceUSD": "11",
                        "discountPriceCNY": "11",
                        "specifiedNameLabel": "aaaaaaaaaaaaaaa1aaaa"
                    }
                ]
            },
            {
                "packageCode": "DP20190726001274",
                "minOrderPeriod": "1",
                "servicePlanCode": "SP202111041459",
                "servicePlanShowName": "biaoqianweikong",
                "servicePlanShortDesc": "test",
                "servicePlanDetailsDesc": "<p>test</p>",
                "languageCode": "1",
                "specAndPriceList": [
                    {
                        "orderPeriod": "1",
                        "specifications": "1",
                        "autoRenewal": "0",
                        "packageType": "2",
                        "currency": "GBP",
                        "currencySymbol": "£",
                        "originalPriceUSD": "32",
                        "discountPriceUSD": "12.36",
                        "originalPriceCNY": "32",
                        "discountPriceCNY": "12.36",
                        "saveCNY": "19.64",
                        "saveUSD": "19.64",
                        "specifiedNameLabel": ""
                    }
                ],
                "currencyId": "12",
                "currencySymbol": "£",
                "currency": "GBP"
            },
            {
                "packageCode": "DP20190726001274",
                "minOrderPeriod": "1",
                "servicePlanCode": "SP202111041458",
                "servicePlanShowName": "biaoqianceshi",
                "servicePlanShortDesc": "test",
                "servicePlanDetailsDesc": "<p>est</p>",
                "languageCode": "1",
                "specAndPriceList": [
                    {
                        "orderPeriod": "1",
                        "specifications": "1",
                        "autoRenewal": "0",
                        "packageType": "2",
                        "currency": "JPY",
                        "currencySymbol": "JP¥",
                        "originalPriceUSD": "1000",
                        "discountPriceUSD": "569",
                        "originalPriceCNY": "1000",
                        "discountPriceCNY": "569",
                        "saveCNY": "431.00",
                        "saveUSD": "431.00",
                        "specifiedNameLabel": "biaoqian123"
                    }
                ],
                "currencyId": "11",
                "currencySymbol": "JP¥",
                "currency": "JPY"
            }
        ]
    }
}
Modified at 2026-06-25 02:38:15
Previous
Card Login Verification
Next
Create User Order
Built with